#include <RH_ASK.h>
#include <SPI.h> // Required for RadioHead

// Use pin 10 for RF Transmitter DATA pin
RH_ASK rf_driver(2000, 10); // Baud rate 2000, TX pin 10

const int buttonPin = 7; // Button connected to pin D7
bool buttonPressed = false;

void setup() {
    if (!rf_driver.init()) {
        Serial.println("RF init failed");
        while (1); // Stop if init failed
    }
    pinMode(buttonPin, INPUT_PULLUP);
    Serial.begin(9600);
}

void loop() {
    if (digitalRead(buttonPin) == LOW && !buttonPressed) {
        const char *msg = "On";
        rf_driver.send((uint8_t *)msg, strlen(msg));
        rf_driver.waitPacketSent();
        Serial.println("Sent: On");
        buttonPressed = true;
    }

    if (digitalRead(buttonPin) == HIGH) {
        buttonPressed = false;
    }

    const char *nearbyMsg = "Nearby";
    rf_driver.send((uint8_t *)nearbyMsg, strlen(nearbyMsg));
    rf_driver.waitPacketSent();
    Serial.println("Sent: Nearby");

    delay(500);
}
